<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Str-Web-Pltr</title>
  <link rel="stylesheet" href="css/main.less" type="text/less" />
</head>
<body>
  <div class="content">
    <div class="page">
      <div class="toStrk title" data-font="futural" >SummerLoop</div>
      <div class="toStrk text" data-font="futural" >
        2018
      </div>
    </div>
  </div>
</body>
<script src="js/jquery-3.3.1.min.js"></script>
<script src="js/less.min.js"></script>
<script>
$(document).ready(function(){


  function toStrk(clss){
    let toStrk = $('.page').find(clss)
    let data = toStrk.attr('data-font')

    alert(data)
    $.getJSON('json/'+data+'.json', function(fonts){
      toStrk.each(function(ind){

        let strg = $(this).text().split('')

        strg.forEach(function(u){

          let code = parseInt(u.charCodeAt())
          let pt = []
          let textTable = []
          f
          pt['height'] = fonts.chars.chars[code].width
          console.log(pt['height'])


        })

      })
    })
  }

  toStrk('.title')

})


</script>

</html>
